summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'x11-themes/gtk-themes-h2o-gtk2/gtk-themes-h2o-gtk2-2.0.ebuild')
-rw-r--r--x11-themes/gtk-themes-h2o-gtk2/gtk-themes-h2o-gtk2-2.0.ebuild29
1 files changed, 29 insertions, 0 deletions
diff --git a/x11-themes/gtk-themes-h2o-gtk2/gtk-themes-h2o-gtk2-2.0.ebuild b/x11-themes/gtk-themes-h2o-gtk2/gtk-themes-h2o-gtk2-2.0.ebuild
new file mode 100644
index 000000000..360f7f4b2
--- /dev/null
+++ b/x11-themes/gtk-themes-h2o-gtk2/gtk-themes-h2o-gtk2-2.0.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2006 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+DESCRIPTION="A port of the H2O GTK+ theme to GTK2"
+HOMEPAGE="http://themes.freshmeat.net/projects/h2o-gtk2/"
+SRC_URI="http://themes.freshmeat.net/redir/h2o-gtk2/34135/url_tgz/h2o-gtk2-default-${PV}.tar.gz"
+
+IUSE=""
+KEYWORDS="~x86"
+LICENSE="GPL-2"
+SLOT="0"
+
+S="${WORKDIR}"
+
+RDEPEND=">=x11-libs/gtk+-2.2"
+
+src_unpack() {
+ unpack ${A}
+ cd "${S}"
+
+ # Clean up unnecessary files
+ rm -r */*/{*xcf,.gtkrc.swp,.xvpics} || die "rm failed"
+}
+
+src_install() {
+ insinto /usr/share/themes
+ doins -r * || die "doins failed"
+} \ No newline at end of file